
/**
 *	XDataGrid Component
 *
 *	Copyright (C) 2004  Kamran Zafar
 *
 *	This program is free software; you can redistribute it and/or
 *	modify it under the terms of the GNU General Public License
 *	as published by the Free Software Foundation; either version 2
 *	of the License, or (at your option) any later version.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */



package xeus.db.datagrid;

import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.*;

import xeus.db.datagrid.exception.TableIndexOutOfBoundsException;


public class XDataGrid extends JPanel{
    
    private JTable table;
    private XDataSet dataset;
    
    private int currentTable;
    
    public XDataGrid() {
        super();
        table=new JTable();
        
        currentTable=0;
        
        setLayout(new BorderLayout());
        
        add(new JScrollPane(table),BorderLayout.CENTER);
    }
    
    public void setDataBindings(XDataSet dataset,int tableNumber) {
        if(tableNumber<0)
            throw new TableIndexOutOfBoundsException("Table index is less then 0");
        else if(tableNumber>=dataset.getTableCount())
            throw new TableIndexOutOfBoundsException("Table index is greater then or equal to table count ["+dataset.getTableCount()+"]");
        
        this.dataset=dataset;
        
        table.setModel(dataset.getModel(tableNumber));
        table.updateUI();
        
        currentTable=tableNumber;
    }
    
    public void next() {
        if(currentTable==dataset.getTableCount()-1)
            return;
        
        table.setModel(dataset.getModel(++currentTable));
        table.updateUI();
    }
    
    public void previous() {
        if(currentTable==0)
            return;
        
        table.setModel(dataset.getModel(--currentTable));
        table.updateUI();
    }
}
